using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using PTZController;

namespace TestProject
{
    /// <summary>
    /// Summary description for UITest
    /// </summary>
    [TestClass]
    public class UITest
    {
        public UITest()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod, Ignore]
        public void TestMainForm()
        {
            MainForm frm = new MainForm();
            frm.ShowDialog();
        }

        [TestMethod, Ignore]
        public void TestAboutForm()
        {
            AboutForm  frm = new AboutForm();
            frm.ShowDialog();
        }


        [TestMethod, Ignore]
        public void TestRegisterFrom()
        {
            RegisterForm frm = new RegisterForm();
            frm.ShowDialog();
        }

    }
}
